package dev.fyloz.colorrecipesexplorer.dtos.account

import java.util.UUID
import javax.validation.constraints.NotBlank

data class GroupTokenDto(
    val id: UUID,

    val name: String,

    val enabled: Boolean,

    val isDeleted: Boolean,

    val group: GroupDto
)

data class GroupTokenSaveDto(
    @field:NotBlank
    val name: String,

    val groupId: Long
)
